<?php

// $Id$

/*
 * @author Adam Westerski 
 * @file ideastream_review.ccknodedef
 * ideastream Module
 */
 
/*
 * New content types definitions (exported with CCK)
 */
function _ideastream_review_cck_export() {
  // paste code after this line.
	$content['type']  = array (
	  'name' => 'Idea Review',
	  'type' => 'review',
	  'description' => 'Idea review is a textual themed reviewed delivered by selected people from the Idea Management System moderators/staff. Usually the reviews are invisible for users and their goal is to internally assess the value of idea.',
	  'title_label' => 'Idea Review',
	  'body_label' => 'Review Content:',
	  'min_word_count' => '0',
	  'help' => '',
	  'node_options' => 
	  array (
	    'status' => true,
	    'promote' => true,
	    'sticky' => false,
	    'revision' => false,
	  ),
	  'old_type' => 'review',
	  'orig_type' => '',
	  'module' => 'node',
	  'custom' => '1',
	  'modified' => '1',
	  'locked' => '0',
	  'rdf_schema_class' => '',
	  'comment' => '2',
	  'comment_default_mode' => '4',
	  'comment_default_order' => '1',
	  'comment_default_per_page' => '50',
	  'comment_controls' => '3',
	  'comment_anonymous' => '0',
	  'comment_subject_field' => '1',
	  'comment_preview' => '1',
	  'comment_form_location' => '0',
	);
	$content['fields']  = array (
	  0 => 
	  array (
	    'label' => 'Reviewed Idea',
	    'field_name' => 'field_reviewed_idea',
	    'type' => 'nodereference',
	    'widget_type' => 'nodereference_select',
	    'change' => 'Change basic information',
	    'weight' => '-4',
	    'autocomplete_match' => 'contains',
	    'size' => 60,
	    'description' => 'Select the reviewed idea',
	    'default_value' => 
	    array (
	      0 => 
	      array (
	        'nid' => '',
	      ),
	    ),
	    'default_value_php' => '',
	    'default_value_widget' => NULL,
	    'group' => false,
	    'required' => 0,
	    'multiple' => '0',
	    'referenceable_types' => 
	    array (
	      'idea' => 'idea',
	      'contest' => 0,
	      'review' => 0,
	      'page' => 0,
	      'sparql' => 0,
	      'story' => 0,
	    ),
	    'advanced_view' => '--',
	    'advanced_view_args' => '',
	    'op' => 'Save field settings',
	    'module' => 'nodereference',
	    'widget_module' => 'nodereference',
	    'columns' => 
	    array (
	      'nid' => 
	      array (
	        'type' => 'int',
	        'unsigned' => true,
	        'not null' => false,
	        'index' => true,
	      ),
	    ),
	    'rdf_property' => '',
	    'display_settings' => 
	    array (
	      'label' => 
	      array (
	        'format' => 'above',
	        'exclude' => 0,
	      ),
	      'teaser' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      'full' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      4 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      2 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      3 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	    ),
	  ),
	  1 => 
	  array (
	    'label' => 'Rating',
	    'field_name' => 'field_review_rating',
	    'type' => 'number_integer',
	    'widget_type' => 'optionwidgets_select',
	    'change' => 'Change basic information',
	    'weight' => '-3',
	    'description' => 'Review the idea on a scale from 1..10',
	    'default_value' => 
	    array (
	      0 => 
	      array (
	        'value' => '',
	      ),
	    ),
	    'default_value_php' => '',
	    'default_value_widget' => 
	    array (
	      'field_review_rating' => 
	      array (
	        'value' => '',
	      ),
	    ),
	    'group' => false,
	    'required' => 0,
	    'multiple' => '0',
	    'min' => '',
	    'max' => '',
	    'prefix' => '',
	    'suffix' => '',
	    'allowed_values' => '1|1
		2|2
		3|3
		4|4
		5|5
		6|6
		7|7
		8|8
		9|9
		10|10',
	    'allowed_values_php' => '',
	    'op' => 'Save field settings',
	    'module' => 'number',
	    'widget_module' => 'optionwidgets',
	    'columns' => 
	    array (
	      'value' => 
	      array (
	        'type' => 'int',
	        'not null' => false,
	        'sortable' => true,
	      ),
	    ),
	    'rdf_property' => '',
	    'display_settings' => 
	    array (
	      'label' => 
	      array (
	        'format' => 'above',
	        'exclude' => 0,
	      ),
	      'teaser' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      'full' => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      4 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      2 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	      3 => 
	      array (
	        'format' => 'default',
	        'exclude' => 0,
	      ),
	    ),
	  ),
	);
	$content['extra']  = array (
	  'title' => '-5',
	  'body_field' => '0',
	  'revision_information' => '3',
	  'author' => '2',
	  'options' => '4',
	  'comment_settings' => '5',
	  'menu' => '-2',
	  'taxonomy' => '-1',
	  'workflow' => '1',
	);
  // paste code before this line.
  return $content;
}

