<?php


/*
 * @author Adam Westerski 
 * @file ideastream_idea.ccknodedef
 * ideastream Module
 */
 
/*
 * New content types definitions (exported with CCK)
 */
function _ideastream_taxonomies_cck_export() {

  $data = array(
    'bundles' => array(
      'categories' => (object) array(
        'vid' => '2',
        'name' => 'Categories',
        'machine_name' => 'categories',
        'description' => 'Predefined idea categories. This is used in parallel to tags to organise and manage ideas.',
        'hierarchy' => '0',
        'module' => 'taxonomy',
        'weight' => '0',
        'rdf_mapping' => array(
          'rdftype' => array(
            0 => 'skos:ConceptScheme',
          ),
          'name' => array(
            'predicates' => array(
              0 => 'dc:title',
            ),
          ),
          'description' => array(
            'predicates' => array(
              0 => 'rdfs:comment',
            ),
          ),
        ),
        'bc_entity_type' => 'taxonomy_term',
      ),
      'review_types' => (object) array(
        'vid' => '3',
        'name' => 'Review Types',
        'machine_name' => 'review_types',
        'description' => 'Predefined idea review types. This is used to organise different review types and comments.',
        'hierarchy' => '0',
        'module' => 'taxonomy',
        'weight' => '0',
        'rdf_mapping' => array(
          'rdftype' => array(
            0 => 'skos:ConceptScheme',
          ),
          'name' => array(
            'predicates' => array(
              0 => 'dc:title',
            ),
          ),
          'description' => array(
            'predicates' => array(
              0 => 'rdfs:comment',
            ),
          ),
        ),
        'bc_entity_type' => 'taxonomy_term',
      ),
      'tags' => (object) array(
        'vid' => '1',
        'name' => 'Tags',
        'machine_name' => 'tags',
        'description' => 'Use tags to group articles on similar topics into categories.',
        'hierarchy' => '0',
        'module' => 'taxonomy',
        'weight' => '0',
        'rdf_mapping' => array(
          'rdftype' => array(
            0 => 'skos:ConceptScheme',
          ),
          'name' => array(
            'predicates' => array(
              0 => 'dc:title',
            ),
          ),
          'description' => array(
            'predicates' => array(
              0 => 'rdfs:comment',
            ),
          ),
        ),
        'bc_entity_type' => 'taxonomy_term',
      ),
    ),
    'instances' => array(),
  );

  return $data;
}

?>